postVM init_createVM(std::string& line)
{
    postVM post_create_vm;
                std::ostringstream oss; // Создаем ostringstream для форматирования строки
            //Begin Парсинг POST данных на: ключ = значение
            std::map<std::string, std::string> parsedData = parseData(line);
            for (const auto& pair : parsedData) 
            {
                //oss  << pair.first << " = " << pair.second << " <br> "<< std::endl;
                if(pair.first == "name_vm") post_create_vm.nameVM = pair.second; else
                if(pair.first == "mem_vm")
                { 
                    try
                       {
                           post_create_vm.memVM = std::stoi(pair.second); 
                       }
                    catch (const std::invalid_argument& e) {
                        // Обработка исключения для недопустимого аргумента
                        std::cerr << "Ошибка: недопустимое значение для преобразования строки в число. post_create_vm.memVM "
                                << e.what() << std::endl;
                                post_create_vm.memVM = 1;
                    }
                    catch (const std::out_of_range& e) {
                        // Обработка исключения для значения вне допустимого диапазона
                        std::cerr << "Ошибка: значение выходит за пределы допустимого диапазона. post_create_vm.memVM "
                                << e.what() << std::endl;
                                post_create_vm.memVM = 1;
                    }
                    catch (const std::exception& e) {
                        // Обработка других исключений, если они возникнут
                        std::cerr << "Общая ошибка: post_create_vm.memVM " << e.what() << std::endl;
                                post_create_vm.memVM = 1;
                    }
                }else
                if(pair.first == "kernel_vm")
                { 
                    try
                        {
                            post_create_vm.kernelVM = std::stoi(pair.second);
                        }
                    catch (const std::invalid_argument& e) {
                        // Обработка исключения для недопустимого аргумента
                        std::cerr << "Ошибка: недопустимое значение для преобразования строки в число. post_create_vm.kernelVM "
                                << e.what() << std::endl;
                                post_create_vm.kernelVM = 1;
                    }
                    catch (const std::out_of_range& e) {
                        // Обработка исключения для значения вне допустимого диапазона
                        std::cerr << "Ошибка: значение выходит за пределы допустимого диапазона. post_create_vm.kernelVM "
                                << e.what() << std::endl;
                                post_create_vm.kernelVM = 1;
                    }
                    catch (const std::exception& e) {
                        // Обработка других исключений, если они возникнут
                        std::cerr << "Общая ошибка: post_create_vm.kernelVM" << e.what() << std::endl;
                                post_create_vm.kernelVM = 1;
                    }
                } else
                if(pair.first == "hdd_vm") 
                {
                    try
                        {
                            post_create_vm.hddVM = std::stoi(pair.second); 
                        }
                    catch (const std::invalid_argument& e) {
                        // Обработка исключения для недопустимого аргумента
                        std::cerr << "Ошибка: недопустимое значение для преобразования строки в число. post_create_vm.hddVM "
                                << e.what() << std::endl;
                                post_create_vm.hddVM = 1;
                    }
                    catch (const std::out_of_range& e) {
                        // Обработка исключения для значения вне допустимого диапазона
                        std::cerr << "Ошибка: значение выходит за пределы допустимого диапазона. post_create_vm.hddVM "
                                << e.what() << std::endl;
                                post_create_vm.hddVM = 1;
                    }
                    catch (const std::exception& e) {
                        // Обработка других исключений, если они возникнут
                        std::cerr << "Общая ошибка: post_create_vm.hddVM " << e.what() << std::endl;
                                post_create_vm.hddVM = 1;
                    }
                    
                } else
                if(pair.first == "os_vm") 
                {
                    try
                    {
                        post_create_vm.osVM = std::stoi(pair.second);
                    }
                    catch (const std::invalid_argument& e) {
                        // Обработка исключения для недопустимого аргумента
                        std::cerr << "Ошибка: недопустимое значение для преобразования строки в число. post_create_vm.osVM "
                                << e.what() << std::endl;
                                post_create_vm.osVM = 1;
                    }
                    catch (const std::out_of_range& e) {
                        // Обработка исключения для значения вне допустимого диапазона
                        std::cerr << "Ошибка: значение выходит за пределы допустимого диапазона. post_create_vm.osVM "
                                << e.what() << std::endl;
                                post_create_vm.osVM = 1;
                    }
                    catch (const std::exception& e) {
                        // Обработка других исключений, если они возникнут
                        std::cerr << "Общая ошибка: post_create_vm.osVM " << e.what() << std::endl;
                                post_create_vm.osVM = 1;
                    }                    
                } else
                if(pair.first == "pass_vm") post_create_vm.passVM = pair.second;
            }
            //std::cout << "postVM init_createVM: " << std::stoi(post_create_vm.osVM) << std::endl;
            //if (!(sizeof(post_create_vm.osVM) &&  std::stoi(post_create_vm.osVM) > 0)) post_create_vm.osVM = "1";
        //End Парсинг POST данных на: ключ = значение
        return post_create_vm;
}
